[B056] Dictionary query
Obtain dictionary ID through entering keywords or selecting the dictionary type
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | PATENT_TECHNOLOGY | Dictionary type, fields support:PATENT_TECHNOLOGY:patent_technology; AUTHORITY_COUNTRY:patent_country; HOT_CONFERENCE:ct_result_meeting. |
| string | acb92aec02da415d9b5b593529add328 | Dictionary ID |
| string | CAR-X细胞疗法 | keywords |
| integer<int64> | 10 | limits |
| integer<int64> | - | offset |
| string | 57fb4219e73247fcb69dec21b582a716 | Parent Dictionary ID |
| boolean | - | Is Tree Search |
| array | [
{
"sort_field": "NAME_EN_SORT",
"sort_order": "desc"
}
] | Sort |
| string | NAME_EN_SORT | sort field |
| string | desc | ASC、DESC |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
items | array | [
{
"id": "8666aad5477e4272b56b94ca1183781d",
"name": "药物发现"
}
] | Dictionary List |
dict_id | string | 9a847883d786485489d0ee1d75ae90ba | Dictionary ID |
display_name | array | 双特异性抗体 | Dictionary Name |
lang | string | EN | Language |
name | string | Ranibizumab (Genentech) | Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name |
limit | integer<int64> | 10 | limits |
total | integer<int64> | 100 | Dictionary total |
offset | integer<int64> | - | offset |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"items": [
{
"dict_id": "9a847883d786485489d0ee1d75ae90ba",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
],
"limit": 10,
"total": 100,
"offset": 0
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms